interface comBase {
  name: string;
  component: Function;
}
const comps: Array<comBase> = [
  {
    name: "byForm",
    component: () => import("@/benyun/components/byForm/byForm.vue"),
  },
  {
    name: "byInput",
    component: () => import("@/benyun/components/byInput/byInput.vue"),
  },
  {
    name: "bySelect",
    component: () => import("@/benyun/components/bySelect/bySelect.vue"),
  },
  {
    name: "byDatePicker",
    component: () => import("@/benyun/components/byDatePicker/byDatePicker.vue"),
  },
  {
    name: "byTable",
    component: () => import("@/benyun/components/byTable/byTable.vue"),
  }
];

const install = function (Vue: any) {
  comps.forEach((item) => {
    Vue.component(item.name, item.component);
  });

  if (typeof window !== "undefined" && window.Vue) {
    install(window.Vue);
  }
};

export default install;
