import Vue from 'vue'
import App from './App.vue'
import './registerServiceWorker'
import router from './router'
import store from './store/index'
import request from '@/benyun/utils/request'
import Cookies from 'js-cookie'
import lodash from 'lodash'
import plugins from '@/benyun/plugins'

import '@/assets/styles/index.scss' // global css
import '@/assets/styles/benyuntech.scss' // young css

import './assets/icons' // icon
import './permission' // permission control

import Element from 'element-ui'
import './assets/styles/element-variables.scss'

// import VXETable from 'vxe-table'
import XEUtils from 'xe-utils'
import 'vxe-table/lib/style.css'
import { VXETable, Column,Table } from 'vxe-table'
import zhCN from 'vxe-table/lib/locale/lang/zh-CN'
 // 按需加载的方式默认是不带国际化的，自定义国际化需要自行解析占位符 '{0}'，例如：
VXETable.setup({
  i18n: (key, args) => XEUtils.toFormatString(XEUtils.get(zhCN, key), args)
})

import gmComponent from './benyun/plugins/componentRegister'

Vue.use(Element, {
  size: Cookies.get('size') || 'medium' // set element-ui default size
})

Vue.use(Column).use(Table);
Vue.use(gmComponent);
Vue.use(plugins);
Vue.config.productionTip = false

// 全局方法挂载
Vue.prototype.$request = request;
Vue.prototype.$lodash = lodash;

new Vue({
  router,
  store,
  render: h => h(App)
}).$mount('#app')
